iSakuREAL 1.7 for M3Real

Discussion in 'M3 Adapter' started by dsrules, Aug 25, 2009.

  1. dsrules
    OP

    dsrules GBAtemp Psycho!

    Member
    3,644
    504
    Sep 20, 2005
    M3 iSakuReal v1.7 (8-25-09) updated by dsrules

    M3/G6 English Firmware v4.3i X (TouchPod)
    iTouchDS English Loader v3.2E Enhanced with English, French, German, and Italian
    Unofficial M3 Sakura Region-Free v1.12+a (English) with Sakura 1.41 game engine
    Narin's CHEAT.db (8-20-09)

    This is my update to M3 iSakuReal 1.12+a (English) with the latest iTouch 3.2E and Touchpod 4.3i X firmwares.

    Hold Y at boot up or launch defaulty.nds at anytime for iTouch firmware
    Hold X at boot up or launch defaultx.nds at anytime for Touchpod firmware

    http://gbatemp.net/index.php?download=6780
     


  2. kenio8185

    kenio8185 GBAtemp Regular

    Member
    222
    0
    Dec 22, 2008
    Canada
    canada
    What is Itouch and touchpad?
     
  3. Flame

    Flame Me > You

    Member
    3,873
    5,053
    Jul 15, 2008
    im kinda new, so this will work with M30i? and this is like three firmwares right, the default m3 firmwares plus the iTouch firmware?
     
  4. antonkan

    antonkan GBAtemp Maniac

    Member
    1,063
    8
    Jun 13, 2009
    Canada
    Burlington, ON
    iTouch DS firmware is not only for iTouch DS and iTouch 2, but also in iSakuReal. TouchPad is the official firmware of M3 Real/M3i Zero.
     
  5. kenio8185

    kenio8185 GBAtemp Regular

    Member
    222
    0
    Dec 22, 2008
    Canada
    canada
    which one do you recommend?
     
  6. rabz

    rabz Member

    Newcomer
    13
    0
    May 20, 2009
    France
    Hi !
    Does it work in ItouchDS ???
     
  7. dsrules
    OP

    dsrules GBAtemp Psycho!

    Member
    3,644
    504
    Sep 20, 2005
    it's 3 different firmwares in 1, kinda like this


    there is a Triple boot for iTouch in another thread, you could still update the iTouch and Sakura 1.12+ game engine to the newest, but you can't update the Touchpod firmware
    http://gbatemp.net/index.php?showtopic=128351
     
  8. antonkan

    antonkan GBAtemp Maniac

    Member
    1,063
    8
    Jun 13, 2009
    Canada
    Burlington, ON
    The M3 Sakura firmware. It's the best M3 Real/M3i Zero firmware.
     
  9. PettingZoo

    PettingZoo yesss

    Member
    1,711
    1
    Oct 5, 2008
    in the trap
    Oh sweet, time to update my Chinese cart. It's best to use the Sakura firmware and use iTouch (because of its clearer GUI) to load homebrew. You can also use the Touchpod firmware for GBA NDS linkage.

    To those who might not understand why this is being updated, it is really good for Chinese M3 Real carts (Cant support official english). Though I have both o:
     
  10. mc_B3oWoLF

    mc_B3oWoLF GBAtemp Regular

    Member
    195
    0
    Jun 12, 2008
    Serbia, Republic of
    Russian Federation
    PettingZoo, didn't you try to change the language files from the European release to get official English using the chinese version of Sakura 1.41?
    Doesn't it solve the problem?

    I mean something like this:

    1.Extract / install the European Sakura 1.41 on your PC

    2.Extract / install the Asian Sakura 1.41 on your PC

    3.Go to "%ProgramFiles%\GBalpha\M3 SAKURA V1.41 European (GAME PATCH V4.3i)\SYSTEM\m3sakura\language\" folder if you used the installer (or "other folder\SYSTEM\m3sakura\language\", if you used to change the path or just has an archive to extract).
    rename the files "chrglyph.000" --> "chrglyph.936" and "messages.000" --> "messages.936".

    4.Open the "messages.936" file using NotePad (or any other text editor you like).
    Find the line "LCS_Title=Language Setting"
    You should change here some text:
    "LCS_English=English" --> "LCS_GBK=English"
    "LCS_French=Français" --> "LCS_BIG5=Traditional Chinese"
    "LCS_German=Deutsch" --> "LCS_KO=Korean"
    "LCS_Italian=Italiano" --> Delete the line
    "LCS_Spanish=Español" --> Delete the line
    "LCS_Portuguese=Português(BR)" --> Delete the line
    "LCS_Netherland=Dutch" --> Delete the line
    "LCS_Russian=Russian" --> Delete the line

    The result will be:
    Code:
    ; ----------------------------
    
    LCS_Title=Language Setting
    
    LCS_GBK=English
    LCS_BIG5=Traditional Chinese
    LCS_KO=Korean
    
    ; ----------------------------
    Save the file as "utf-8 text document" (I recommended NotePad, because it doesn't change the encoding of the file, so you just have to use "Save" button without any worries))

    5.Copy "chrglyph.936" and "messages.936" files you've created FROM "%ProgramFiles%\GBalpha\M3 SAKURA V1.41 European (GAME PATCH V4.3i)\SYSTEM\m3sakura\language\" into "%ProgramFiles%\GBalpha\M3 SAKURA V1.41 Chinese+Korean (GAME PATCH V4.3i)\SYSTEM\m3sakura\language\" folder (Replacing the old files. I use here the default path, where M3Sakura Asian Installer suggests to install Sakura).

    6.Delete old "SYSTEM" folder from your Flash card.

    7.Copy the "%ProgramFiles%\GBalpha\M3 SAKURA V1.41 Chinese+Korean (GAME PATCH V4.3i)\SYSTEM\" folder to your flash card.

    8.Enjoy Sakura 1.41 with Official English language [​IMG]

    Note: I'm almost sure, that other languages (I mean, Traditional Chinese and Korean) won't work properly (you'll see some unknown symbols instead of correct ones). Also, file-names that are written in Japanese, Chinese, Korean won't be displayed correctly, but still.. [​IMG]

    Let me know whether this solution helped or not [​IMG]
     
  11. Zantom07

    Zantom07 Advanced Member

    Newcomer
    84
    0
    Jul 30, 2009
    England
    What's the difference between Sakura 1.12a with 1.41 engine and the normal 1.12a?
     
  12. dsrules
    OP

    dsrules GBAtemp Psycho!

    Member
    3,644
    504
    Sep 20, 2005
    Sakura 1.12a has been discontinued since the end of last year, that means alot of newer games came out after that is non-playable on Sakura 1.12a but, this update will make it run all those non-playable games as they were being run in Sakura 1.41
     
  13. gameguy95

    gameguy95 Needs More Furries!

    Banned
    1,119
    1
    Jan 27, 2009
    United States
    Furrytown
    i might try that as soon as i get home next week and try out my brand new M3i0 with my 16GB MicroSD
     
  14. Zantom07

    Zantom07 Advanced Member

    Newcomer
    84
    0
    Jul 30, 2009
    England
    Actually I tested it. Every game is broken.
     
  15. dsrules
    OP

    dsrules GBAtemp Psycho!

    Member
    3,644
    504
    Sep 20, 2005
    wow!!! you actually tested all 4125 games out there? how long did it took you???
    btw, you mean they are broken in the old Sakura 1.12a or the Sakura 1.12a with 1.41 game engine?
     
  16. Zantom07

    Zantom07 Advanced Member

    Newcomer
    84
    0
    Jul 30, 2009
    England
    Sorry, my bad, the games I played start off with a white background and take ages to start xD
     
  17. gameguy95

    gameguy95 Needs More Furries!

    Banned
    1,119
    1
    Jan 27, 2009
    United States
    Furrytown
    that does not answer the question. 1.12a or 1.12a with 1.41 engine?
     
  18. Zantom07

    Zantom07 Advanced Member

    Newcomer
    84
    0
    Jul 30, 2009
    England
    It was with the 1.41 engine. I played Mario VS Donkey Kong 2, but I have a bad dump which gives ages of white screens before it starts. I got impatient and blamed my newly installed 1.7 iSakuReal. Sorry dsrules for the doubt.

    EDIT:
    Also curious to know if the iTouch firmware has Narin's latest?
     
  19. amaro

    amaro GBAtemp Fan

    Member
    432
    248
    Apr 7, 2007
    S.A.C. Loures - Lisboa
    Booting iTouch with Sakura 1:41 is easy...highlight defaulty.nds and push X or Y to boot to iTouch or defaultx.nds to boot to touchpod. [​IMG]
     
  20. Jakob95

    Jakob95 I am the Avatar

    Suspended
    4,344
    67
    Jan 15, 2009
    United States
    New York City
    Can you update this ever again for it to support the newest Sakura/Touchpod/Itouch firmware?